Bug 506236 - rt3: privilege to edit 'RT at a Glance' unintentionally granted by "ShowConfigTab" right
rt3: privilege to edit 'RT at a Glance' unintentionally granted by "ShowConfi...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
Blocks: 506881 506885
  Show dependency treegraph
 
Reported: 2009-06-16 05:19 EDT by Tomas Hoger
Modified: 2010-03-22 14:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 506881 506885 (view as bug list)
Environment:
Last Closed: 2010-03-22 14:31:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-06-16 05:19:30 EDT
New RT upstream versions 3.6.8 and 3.8.4 were released, mentioning following security fix:

  The most important fix is that RT now requires the SuperUser
  right to edit global RT at a Glance.  In all previous 3.8
  releases, the "ShowConfigTab" right unintentionally enabled this.
  If you have not granted this right to any non-administrative user,
  then this issue should not affect you.

References:
http://lists.bestpractical.com/pipermail/rt-announce/2009-June/000169.html
http://lists.bestpractical.com/pipermail/rt-announce/2009-June/000170.html

Upstream announcements contain patches that can be used with older versions instead of moving to new upstream version.
Comment 1 Xavier Bachelot 2009-06-16 09:01:39 EDT
Update to 3.6.8 for EPEL 5 is ready, but not tested yet :
http://buildsys.fedoraproject.org/build-status/job.psp?uid=2617
Comment 2 Xavier Bachelot 2009-06-24 19:23:19 EDT
rt3 3.6.8 pushed to EPEL 5 stable.

Note You need to log in before you can comment on or make changes to this bug.